Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator
Class Materialize

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.ConceptOperator
              edu.udo.cs.miningmart.operator.SingleCSOperator
                  edu.udo.cs.miningmart.operator.Materialize

Direct Known Subclasses:
  MaterializeWithPKs

    public class Materialize

extends SingleCSOperator

Version:
  $Id: Materialize.java,v 1.6 2006/09/27 14:59:56 euler Exp $
Author:
  Martin Scholz

Field Summary

Fields inherited from class edu.udo.cs.miningmart.operator.ConceptOperator
`suffixForIntermediateViews`

Fields inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`generatedSQLDefinitions`

Constructor Summary
`Materialize()`

Method Summary
`java.lang.String` | `generateSQLDefinition(java.lang.String selectPart)` This method must return the SQL definition of the newly created ColumnSet.
`java.lang.String` | `getNewCSName(int index)` Overrides the standard naming method to use user specified name instead.
`java.lang.String` | `getTableName()` Gets the table name.
`java.lang.String` | `getTypeOfNewColumnSet()` Inherited abstract method.
`protected boolean` | `mustCopyFeature(java.lang.String nameOfFeature)` Inherited abstract method.

Methods inherited from class edu.udo.cs.miningmart.operator.SingleCSOperator
`generateColumnSetsForOp, generateSQLDefinition, getNewCSName, getTypeOfNewColumnSet, handleExtraOutputFeature`

Methods inherited from class edu.udo.cs.miningmart.operator.ConceptOperator
`compileStatement, createMetadata, createMetadataForOneBA, createSingleColumnSet, createStatement, generateColumns, getInputConcept, getOutputConcept, getStringForSelection, setNewCSMultiStepBranch`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, execute, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getParameterObjectsOfAllLoops, getSingleParameter, getSingleParameter, getStep, giveWarningForChangedInputData, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, load, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Materialize

    public Materialize()

Method Detail

### generateSQLDefinition

    public java.lang.String generateSQLDefinition(java.lang.String selectPart)
                                           throws M4CompilerError

  Description copied from class: `SingleCSOperator`
  This method must return the SQL definition of the newly created ColumnSet.

  Specified by:
    `generateSQLDefinition` in class `SingleCSOperator`
  Parameters:
    `selectPart` - The SQL string between "SELECT" and "FROM" for the SQL definition to be returned.
  Returns:
    The SQL definition for the new ColumnSet.
  Throws:
    `M4CompilerError`
  See Also:
    `ExecutableOperator.createStatement(boolean)`

### getTypeOfNewColumnSet

    public java.lang.String getTypeOfNewColumnSet()

  Inherited abstract method.

  Specified by:
    `getTypeOfNewColumnSet` in class `SingleCSOperator`
  Returns:
    The type of the new Columnset, either "V" or "T".
  See Also:
    `edu.udo.cs.miningmart.m4.core.operator.ConceptOperator#getTypeOfNewColumnSet`

### mustCopyFeature

    protected boolean mustCopyFeature(java.lang.String nameOfFeature)

  Inherited abstract method.

  Specified by:
    `mustCopyFeature` in class `ConceptOperator`
  Parameters:
    `nameOfFeature` - Name of the feature in question.
  Returns:
    TRUE if this feature should be copied to the output concept, FALSE if not.

### getNewCSName

    public java.lang.String getNewCSName(int index)
                                  throws M4CompilerError

  Overrides the standard naming method to use user specified name instead.

  Overrides:
    `getNewCSName` in class `ConceptOperator`
  Returns:
    the name
  Throws:
    `M4CompilerError`

### getTableName

    public java.lang.String getTableName()
                                  throws M4CompilerError

  Gets the table name.

  Returns:
    Returns a Concept
  Throws:
    `M4CompilerError`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005